#include <stdio.h>
#include <string.h>
#include "Extern.h"
PrintLine(OffSet,LineStart,LineEnd)
int OffSet; /* offset of LineStart from beginning of file */
char *LineStart,
   *LineEnd;
{
   int width, lwidth = 66;
   char OffStr[80];

   if (lFlag) {
      if (strlen(FileName) > 76) {
         fprintf(stderr,"bm: filename too long\n");
         exit(2);
      } /* if */
      if (strlen(FileName)) {
         sprintf(OffStr,"%s\n",FileName);
         write(1,OffStr,strlen(OffStr));
      } /* if */
      return;
   } /* if */
   if (FileName && !hFlag) {
      if (strlen(FileName) > 76) {
         fprintf(stderr,"bm: filename too long\n");
         exit(2);
      } /* if */
      sprintf(OffStr,"%-12.12s:",FileName);   /* Pad file name DOS DEPENDENT */
      write(1,OffStr,strlen(OffStr));
   }
   else
      lwidth = 79;

   if (nFlag) {
      sprintf(OffStr,"%d: ",OffSet);
      write(1,OffStr,strlen(OffStr));
   } /* if */
   if (tFlag) {               /* truncate for 80 columns */
      if (*LineEnd == '\n')
         width = LineEnd-LineStart-1;
      else
         width = LineEnd-LineStart+1;
      write(1,LineStart,((width<lwidth)?width:lwidth));
      write (1,"\n",1);
   }
   else {                     /* full-width output */
      if (*LineEnd == '\n')
         write(1,LineStart,LineEnd-LineStart-1);
      else
         write(1,LineStart,LineEnd-LineStart+1);
      write (1,"\n",1);
   }
 } /* PrintLine */
